## boot-66serv 3.0.0experimental1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

-include config.mak
include package/targets.mak

LOWDOWN := $(shell type -p lowdown)
ifdef LOWDOWN
GENERATE_HTML := $(shell doc/make-html.sh)
GENERATE_MAN := $(shell doc/make-man.sh)
endif
INSTALL_HTML := $(wildcard doc/html/*.html)
INSTALL_MAN := $(wildcard doc/man/*/*)
INSTALL := ./tools/install.sh

install: install-module install-configure install-script install-rc-local install-seed install-html install-man
install-module: $(MODULE_TARGET:module/%=$(DESTDIR)$(service_directory)/$(package)/%)
install-configure: $(MODULE_CONFIGURE_TARGET:module/configure/configure=$(DESTDIR)$(service_directory)/$(package)/configure/configure)
install-script: $(SCRIPT_TARGET:module/configure/crypt.awk=$(DESTDIR)$(script_directory)/crypt.awk)
install-rc-local: $(SKEL_SCRIPT_TARGET:module/configure/rc.local=$(DESTDIR)$(skel_directory)/rc.local)
install-seed: $(SEED_TARGET:module/configure/boot=$(DESTDIR)$(seed_directory)/boot)
install-html: $(INSTALL_HTML:doc/html/%.html=$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html)
install-man: install-man1
install-man1: $(INSTALL_MAN:doc/man/man1/%.1=$(DESTDIR)$(mandir)/man1/%.1)

$(DESTDIR)$(service_directory)/$(package)/%: module/%
	exec $(INSTALL) -D -m 644 $< $@
	sed -i -e "s,@adm_conf@,$(adm_conf)," \
		-e "s,@script_directory@,$(script_directory)," \
		-e "s,@skel_directory@,$(skel_directory)," \
		-e "s,@livedir@,$(livedir)," \
		-e "s,@tmpfiles_path@,$(tmpfiles)," \
		-e "s,@modules_path@,$(modules)," \
		-e "s,@VERSION@,$(version)," \
		-e "s,@HOSTNAME@,$(HOSTNAME)," \
		-e "s,@HARDWARECLOCK@,$(HARDWARECLOCK)," \
		-e "s,@TZ@,$(TZ)," \
		-e "s,@SETUPCONSOLE@,$(SETUPCONSOLE)," \
		-e "s,@TTY@,$(TTY)," \
		-e "s,@KEYMAP@,$(KEYMAP)," \
		-e "s,@FONT@,$(FONT)," \
		-e "s,@FONT_MAP@,$(FONT_MAP)," \
		-e "s,@FONT_UNIMAP@,$(FONT_UNIMAP)," \
		-e "s,@UDEV@,$(UDEV)," \
		-e "s,@SYSCTL@,$(SYSCTL)," \
		-e "s,@FORCECHCK@,$(FORCECHCK)," \
		-e "s,@LOCAL@,$(LOCAL)," \
		-e "s,@CONTAINER@,$(CONTAINER)," \
		-e "s,@TMPFILE@,$(TMPFILE)," \
		-e "s,@MODULE_KERNEL@,$(MODULE_KERNEL)," \
		-e "s,@MODULE_SYSTEM@,$(MODULE_SYSTEM)," \
		-e "s,@RANDOMSEED@,$(RANDOMSEED)," \
		-e "s,@FSTAB@,$(FSTAB)," \
		-e "s,@SWAP@,$(SWAP)," \
		-e "s,@LVM@,$(LVM)," \
		-e "s,@DMRAID@,$(DMRAID)," \
		-e "s,@MDRAID@,$(MDRAID)," \
		-e "s,@BTRFS@,$(BTRFS)," \
		-e "s,@ZFS@,$(ZFS)," \
		-e "s,@ZFS_IMPORT@,$(ZFS_IMPORT)," \
		-e "s,@CRYPTTAB@,$(CRYPTTAB)," \
		-e "s,@FIREWALL@,$(FIREWALL)," \
		-e "s,@CGROUPS@,$(CGROUPS)," \
		-e "s,@MNT_PROC@,$(MNT_PROC)," \
		-e "s,@MNT_SYS@,$(MNT_SYS)," \
		-e "s,@MNT_DEV@,$(MNT_DEV)," \
		-e "s,@MNT_RUN@,$(MNT_RUN)," \
		-e "s,@MNT_TMP@,$(MNT_TMP)," \
		-e "s,@MNT_PTS@,$(MNT_PTS)," \
		-e "s,@MNT_SHM@,$(MNT_SHM)," \
		-e "s,@MNT_NETFS@,$(MNT_NETFS)," \
		-e "s,@POPULATE_SYS@,$(POPULATE_SYS)," \
		-e "s,@POPULATE_DEV@,$(POPULATE_DEV)," \
		-e "s,@POPULATE_RUN@,$(POPULATE_RUN)," \
		-e "s,@POPULATE_TMP@,$(POPULATE_TMP)," \
		-e "s,@CHECK_CONFIGURATION@,$(CHECK_CONFIGURATION)," $@

$(DESTDIR)$(service_directory)/$(package)/configure/configure: module/configure/configure
	exec $(INSTALL) -D -m 755 $< $@
	sed -i -e 's,@BINDIR@,$(bindir),' $@

$(DESTDIR)$(script_directory)/crypt.awk: module/configure/crypt.awk
	exec $(INSTALL) -D -m 755 $< $@
	sed -i -e 's,@BINDIR@,$(bindir),' $@

$(DESTDIR)$(skel_directory)/rc.local: module/configure/rc.local
	exec $(INSTALL) -D -m 755 $< $@

$(DESTDIR)$(seed_directory)/boot: module/configure/boot
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html: doc/html/%.html
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%skel_directory%%,$(skel_directory),g' $< > $@

$(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%skel_directory%%,$(skel_directory),g' $< > $@

version:
	@echo $(version)

.PHONY: install version install-html install-man

.DELETE_ON_ERROR:

=== debian/changelog ===
boot-66serv (3.0.0experimental1-2) UNRELEASED; urgency=medium

  * Modified debian/rules file to change default 66 values that were reported causing issues.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sun, 25 Feb 2024 22:22:22 +1000

boot-66serv (3.0.0experimental1-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Thu, 18 Jan 2024 22:22:22 +1000

=== debian/control ===
Source: boot-66serv
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 66 (>= 0.7),
 66-tools (>= 0.1),
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 oblibs (>= 0.2),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
 libskarnet2.14
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/obmods/boot-66serv
#Vcs-Browser: https://salsa.debian.org/debian/66
#Vcs-Git: https://salsa.debian.org/debian/66.git

Package: boot-66serv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 oblibs (>= 0.2),
 66 (>= 0.7),
 66-tools (>= 0.1)
Description: Portable set of services to boot a machine in conjunction with 66.
 The package also contains extra scripts, under the files/ subdir and two services frontend files. Under the patches/ subdirectory there are debian-specific patches.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --enable-allstatic
CONFIG_OPT += --HOSTNAME=antix-init-diversity
CONFIG_OPT += --TZ=ETC
CONFIG_OPT += --TTY=!2
CONFIG_OPT += --KEYMAP=!us
CONFIG_OPT += --FONT=!lat9w-16
#CONFIG_OPT += --FONT_MAP=
#CONFIG_OPT += --FONT_UNIMAP=
CONFIG_OPT += --FSTAB=!no
CONFIG_OPT += --SWAP=!yes
CONFIG_OPT += --LVM=!no
CONFIG_OPT += --DMRAID=!no
CONFIG_OPT += --BTRFS=!no
CONFIG_OPT += --ZFS=!no
CONFIG_OPT += --ZFS_IMPORT=!zpoolcache
CONFIG_OPT += --MDRAID=!no
CONFIG_OPT += --CHECK_CONFIGURATION=!no
CONFIG_OPT += --SETUPCONSOLE=!yes
CONFIG_OPT += --HARDWARECLOCK=localtime
CONFIG_OPT += --UDEV=!yes
CONFIG_OPT += --SYSCTL=!yes
CONFIG_OPT += --FORCECHCK=!no
CONFIG_OPT += --LOCAL=!no
CONFIG_OPT += --CONTAINER=!no
CONFIG_OPT += --TMPFILE=!no
CONFIG_OPT += --MODULE_KERNEL=!no
CONFIG_OPT += --MODULE_SYSTEM=!no
CONFIG_OPT += --RANDOMSEED=!yes
CONFIG_OPT += --CRYPTTAB=!no
#CONFIG_OPT += --FIREWALL=
CONFIG_OPT += --CGROUPS=!yes
CONFIG_OPT += --MNT_PROC=!no
CONFIG_OPT += --MNT_SYS=!no
CONFIG_OPT += --MNT_DEV=!no
CONFIG_OPT += --MNT_RUN=!yes
CONFIG_OPT += --MNT_TMP=!yes
CONFIG_OPT += --MNT_PTS=!yes
CONFIG_OPT += --MNT_SHM=!yes
CONFIG_OPT += --MNT_NETFS=!no
CONFIG_OPT += --POPULATE_SYS=!yes
CONFIG_OPT += --POPULATE_DEV=!yes
CONFIG_OPT += --POPULATE_RUN=!yes
CONFIG_OPT += --POPULATE_TMP=!yes
%:
	dh $@

override_dh_auto_configure-arch:
#	./tools/gen-deps.sh > package/deps.mak
	./configure -- $(CONFIG_OPT)

#override_dh_auto_configure-indep:
#override_dh_auto_build-indep:
#override_dh_auto_install-indep:
#	mkdir -p debian/tmp/usr/share/doc/s6
#	cp -aT doc debian/tmp/usr/share/doc/s6
#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info

## boot-66serv 3.7.0experimental1

=== debian/changelog ===
boot-66serv (3.7.0experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from upstream.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sat, 01 Jun 2024 22:22:22 +1000

=== debian/control ===
Source: boot-66serv
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 66 (>= 0.7.0.0),
 66-tools (>= 0.1.0.1),
 s6 (>= 2.12),
 oblibs (>= 0.2.1.3),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
 libskarnet2.14
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/66-service/debian/boot-66serv

Package: boot-66serv
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 oblibs (>= 0.2.1.3),
 66 (>= 0.7),
 66-tools (>= 0.1.0.1)
Description: Portable set of services to boot a machine in conjunction with 66.
 The package also contains extra scripts, under the files/ subdir and two services frontend files. Under the patches/ subdirectory there are debian-specific patches.

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# Direct Git.
opts="mode=git" https://git.obarun.org/66-service/debian/boot-66serv.git
#    refs/tags/v([\d\.]+)
